/*
 *  TMENU.INF Editor    `t@C
*/

#include "sugi.h"
#include "vram.h"
#include "event.h"


#define IS_ANK      0   /*  VtgJIS̕\  */
#define IS_KANJI1   1
#define IS_KANJI2   2

#define MOS_ON  1
#define MOS_OFF 0

#define MODE_PSET   0
#define MODE_XOR    4

#define MIN_HORIZON  3
#define MAX_HORIZON  632
#define MIN_VERTICAL 4
#define MAX_VERTICAL 472

#define CHR_COL COL_0           /*  F  */
#define BAK_COL COL_15          /*  wiF  */
#define BAS_COL COL_5           /*  wiF  */


#define CARD_MAX        10      /*  ChJ[h(MAX 15)  */

typedef struct _CDBUF   /*  ChJ[hEobt@  */
{
    short int   mark ;          /*  ON/OFF          */
    short int   allocate ;      /*  Vɓo^  */
    char        *name ;         /*  obt@  */
} CDBUF ;


/*  lib.c  */
extern  char    *strdup( char * ) ;
extern  long    get_fsize( FILE *fp ) ;
extern  int     kstrlen( u_char *str ) ;
extern  int     trim( u_char *str ) ;
extern  int     access( char *path, char *mode ) ;

/*  tie.c  */
extern  char    *center( char *, int ) ;
extern  void    mos_ptn( int no ) ;     /*  }EXEJ[\̐؂芷  */
extern  void    title( char * ) ;

/*  screen.c  */
extern  void    cls( int page, int color ) ; /*  ʃNA  */
extern  void    set_palette( int color, int b, int r, int g ) ;
extern  void    dsp_ptn( int x, int y, char *ptn, int color ) ;
extern  void    dsp_box( int x1, int y1, int x2, int y2,
                    int forcol, int bakcol, int boxcol ) ;
extern  void    DSP_clip_on( register EVENT *ep ) ;
extern  void    DSP_clip_off( register EVENT *ep ) ;
extern  void    chg_palette( int, int flag ) ;
extern  void    box( int x1, int y1, int x2, int y2,
                                        int color, int pattern, int mode ) ;
extern  void    box2( int x1, int y1, int x2, int y2, int color1,int color2 ) ;
extern  void    getputBlock( int, int, int, int, char *, int ) ;
extern  void    DSP_writePage( char *, int ) ;
extern  void    DSP_ptn( int x,int y,int xsiz,int ysiz,char *ptn,int color ) ;

/*  wc.c  */
extern  char    *file_select( char *, char *, CDBUF wc[], int dirflag ) ;
extern  void    chdrv( int ) ;
extern  void    chdir( char * ) ;
extern  int     getdir( char * ) ;
extern  void    wc_init( int font_size ) ;

/*  setup.asm  */
extern  int     ESR_setupInfo( char *out_buf ) ;



extern  char    egbwork[ EgbWorkSize ] ;
extern  char    moswork[ MosWorkSize ] ;
extern  int     writepage ;
extern  char    dev_icn[7][60] ;
extern  char    drv_icn[17][26] ;
